variables:
  RESOURCE: ${CI_PROJECT_NAME}


include:
  - project: 'paas-tools/infrastructure-ci'
    file: 'docker-images-ci-templates/DockerImages.gitlab-ci.yml'

stages:
  - unit-tests
  - build

unit-tests:
  stage: unit-tests
  image: registry.cern.ch/docker.io/library/golang:1.17
  script:
    - go test .
